Skip to main content
GET
/
v1
/
refunds
/
{id}
Retrieve a Refund
curl --request GET \
  --url https://api.leanrails.com/v1/refunds/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "ref_xxx",
  "object": "refund",
  "amount": 1000,
  "currency": "usd",
  "payment_intent": "pi_xxx",
  "status": "succeeded",
  "created": 1234567890,
  "livemode": false,
  "charge": "ch_xxx",
  "reason": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The Refund ID.

Response

The Refund.

id
string
required
Example:

"ref_xxx"

object
enum<string>
required
Available options:
refund
amount
integer
required
Example:

1000

currency
string
required
Example:

"usd"

payment_intent
string
required
Example:

"pi_xxx"

status
enum<string>
required
Available options:
succeeded,
pending,
failed
created
integer
required
Example:

1234567890

livemode
boolean
required
Example:

false

charge
string | null
Example:

"ch_xxx"

reason
string | null
metadata
object

Set of key-value pairs for storing additional information.